import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Bone fload along in the field. They are bad. Best to destroy
 * them if you can.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Bone extends Actor
{
    private int speed; 
    public Bone()
    {
        reSize();
        speed = Greenfoot.getRandomNumber(3) + 1;
    }

    public void act() 
    {
        setLocation(getX()-speed, getY());
        turn(1);
        checkCollision();
        int x;
        int y;

        if (getX() == 0) 
        {
            Field field = (Field)getWorld();
            field.addScore(-15); //now when Bone escape from the World 15 points is subtracted.  
            field.removeObject(this); // Instead of calling getWorld() again do not need to do this be we have already stored in our local variable all of the code .

        }
    }

    public void reSize()
    {
        GreenfootImage image = getImage();
        image.scale(50, 50);
        setImage(image);
    }

    private void checkCollision()
    {
        if(isTouching(Bone2.class))
        {
            setLocation(641,263);
        }
    }

}
